Updates a relayer's information based on the provided update request.
Outdated Version
You're viewing an older version (v1.2.x). The latest documentation is available for the current version. Click here to visit latest version.
AuthorizationBearer <token>
In: header
Path Parameters
relayer_idstring
The unique identifier of the relayer
custom_rpc_urls?array<RpcConfig> | null
name?string | null
notification_id?string
paused?boolean
policies?CreateRelayerPolicyRequest
Raw policy JSON - will be validated against relayer's network type during application
EvmRelayerEvmPolicy
EVM-specific relayer policy configuration
SolanaRelayerSolanaPolicy
Solana-specific relayer policy configuration
StellarRelayerStellarPolicy
Stellar-specific relayer policy configuration
Response Body
curl -X PATCH "https://loading/api/v1/relayers/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"address": "string",
"custom_rpc_urls": [
{
"url": "string",
"weight": 0
}
],
"disabled_reason": {
"details": "string",
"type": "NonceSyncFailed"
},
"id": "string",
"name": "string",
"network": "string",
"network_type": "evm",
"notification_id": "string",
"paused": true,
"policies": {
"eip1559_pricing": true,
"gas_limit_estimation": true,
"gas_price_cap": 0,
"min_balance": 0,
"private_transactions": true,
"whitelist_receivers": [
"string"
]
},
"signer_id": "string",
"system_disabled": true
},
"error": "string",
"metadata": {
"logs": [
{
"level": "log",
"message": "string"
}
],
"traces": [
null
]
},
"pagination": {
"current_page": 0,
"per_page": 0,
"total_items": 0
},
"success": true
}{
"data": null,
"message": "Bad Request",
"success": false
}{
"data": null,
"message": "Unauthorized",
"success": false
}{
"data": null,
"message": "Relayer with ID relayer_id not found",
"success": false
}{
"data": null,
"message": "Too Many Requests",
"success": false
}{
"data": null,
"message": "Internal Server Error",
"success": false
}